Subject: Re: [MMUSIC] RTSP: eliminate queued play? (#508211)

From: Rob Lanphier <[email-masked]>
Date: Fri, 24 May 2002 12:07:37 -0700 (Pacific Daylight Time)

I'd like to revive this thread, and come to a resolution on it.

For background information, see the following bug:
http://rtsp.org/bug508211

From the minutes at IETF 53:
http://www.dmn.tzi.org/ietf/mmusic/53/53-mmusic-minutes.txt

> Queued play (multiple PLAY requests, with the server
> responsible for serializing them): makes the state machine
> much more complex.  The proposal is to allow multiple ranges
> in PLAY as a substitute, to be specified as an extension to
> the core document.  Henning Schulzrinne
> <[email-masked]> maintained that the Queued play
> mechanism does not really affect the state machine.  Magnus
> replied that this was technically correct, but it raises
> other issues.  Henning argued that removal from the core
> specification could remove functionality needed by every
> server.  He was concerned that mapping of multiple ranges
> (the proposed substitute) might be difficult.  This subject
> will be discussed further as part of Thursday's lunch
> meeting -- and subsequently on the list.

Let's make it a goal to have this issue resolved by EOD June 5.  Current
proposal on the table is to eliminate queued play, and replace it with the
optional feature of multiple ranges in the Range: header of the PLAY
request.

Rob

On Fri, 25 Jan 2002, Rob Lanphier wrote:

> Hi Henning,
>
> Regarding the two implementation discussion, the issue is that we don't
> feel like it's likely we'll have two clients and two servers for this
> feature.  On the telecon, we tallied one server and no clients.  That's
> hardly an exhaustive search, but that's also part of the point of this
> thread.  If there's someone on this list who knows of client
> implemenations of this feature, they need to speak up.
>
> As I remember it, Jonathan Sergent noted on the telecon that he has a raft
> of issues he plans to write up if we decide to keep queued play.  I'll let
> him go into it further.  Just doing a search on "queue" in the bugs, I
> find the following:
>
> http://rtsp.org/bug477424   How to queue timed plays?
> http://rtsp.org/bug477428   Priorites between aggregated & non cntrl
> http://rtsp.org/bug477432   RTP info and queued plays
> http://rtsp.org/bug493265   Pause - Play behaviour clarification
> http://rtsp.org/bug507882   RTP timestamps when playing after pause
>
> That's not to say that all of these speak to the issue at hand, so don't
> take this as the definitive list.  In general, it seemed that most of the
> people on the call would rather come up with a simplified PLAY/PAUSE
> model than to work out the bugs with the current feature.
>
> Rob
>
> On Fri, 25 Jan 2002, Henning Schulzrinne wrote:
>
> > I would like to maintain this feature. Nobody has to implement it, but
> > it is useful to ensure gap-less playback. The bug noted (477424) seems
> > to apply only to the case that explicit activation times are listed, in
> > which case queueing doesn't make sense. Thus, only requests without
> > activitation time should be queued. What other problems are there?
> >
> > Rob Lanphier wrote:
> > >
> > > Hi all,
> > >
> > > One item that came up in the RTSP teleconference is a proposal to
> > > eliminate the queued play feature from RTSP altogether.
> > >
> > > Queued playing, as describe in section 10.5, is a feature that has many
> > > problems with it (e.g. #477424) The members on the telecon felt that
> > > support for this feature is sufficiently weak that rather than fixing this
> > > feature, it may be more appropriate to eliminate it, and come up with a
> > > simpler play/pause model to replace it.
> > >
> > > What does everyone think about this?  We'd like to make a decision on this
> > > quickly, so if there's no discussion on this list before February 6, we'd
> > > like to call this one settled (of course, if there is discussion, we'll
> > > let that play out first).
> > >
> > > Rob
> > >
> > > The writeup of the bug is at the following location:
> > > http://rtsp.org/bug508211
> > >
> > > _______________________________________________
> > > mmusic mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/mmusic
> >
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mmusic
> >
> >
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
>
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic